EDIT - feature request #786

Write Developers Guide for CDM Library
06/10/2009 05:04 PM - Andreas Mdller

Status: New Start date: 04/19/2022
Priority: Priority14 Due date: 04/22/2022
Assignee: Andreas Muller % Done: 0%
Category: documentation Estimated time: 8:00 hours
Target version: Update Documentation

Severity: major

Description

Write Developers Guide for CDM Library

Related issues:
Related to EDIT - task #9954: Refactor EDIT Platform (Wiki) Documentation Closed 03/11/2022 03/31/2022

History

#1 - 06/11/2009 03:43 PM - Anahit Babadshanjan

- Status changed from New to In Progress

#2 - 06/11/2009 04:55 PM - Anahit Babadshanjan
- Priority changed from Priority12 to Priority13

#3 - 10/05/2009 04:27 PM - Katja Luther
I've just committed the skeleton Docbook documentation to the repository. Please update the parent pom.xml and ./src/.
To compile the sources you can type

mvn -N docbkx:generate-html

to generate html or

mvn -N docbkx:generate-pdf

with the output ending up in target/site/reference/html target/site/reference/pdf
Please let me know if this works for you.
Cheers,

Ben

p.s. It is surprisingly difficult to get a reasonable looking title page. | would counsel against trying to improve it unless you are some kind of docbook /
xsl / fop ninja. Also, please remember to add your name to the element in the header of ReferenceDocumentation.xml

#4 - 10/05/2009 04:35 PM - Katja Luther

see also #1146

#5 - 10/05/2009 04:36 PM - Katja Luther
- Status changed from In Progress to New
- Assignee changed from Anahit Babadshanjan to k.luther -

- Target version changed from CDM lib Release 2.0 to CDM lib Release 2.3

#6 - 07/02/2021 10:21 PM - Andreas Miiller
- Tags set to documentation
- Description updated

- Target version changed from cdmlib - Old Next Major Release to Update Documentation

04/19/2024 1/2




#7 - 07/05/2021 10:41 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Katja Luther to Andreas Mdiller

| guess we don't need a ticket for this. Partially it is solved already by the wiki and we are only 2.5 developers working on the library, so there is no
real need for a documentation like this.

Shouldn't we close this ticket?

#8 - 07/05/2021 11:11 AM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

| agree that we should generally close the ticket as we do not need an extensive documentation. But maybe before closing we should have a look on
the existing documentation if things need to be corrected so they are at least not fully wrong.

Also we should always have a working base documentation in case new developpers join the team. This does not need to be extensive as these
developers will always be in close contact to us but it should have basic information on how to set up the IDE and maybe some base principals on
how we use cdmlib.

| have not checked if this is already the case and how far the existing development is up-to-date.

#9 - 02/22/2022 11:09 AM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Mliller

- Private changed from Yes to No

#10 - 02/22/2022 11:10 AM - Andreas Miiller

- Status changed from Feedback to New

#11 - 03/11/2022 05:18 PM - Andreas Miiller

- Due date set to 03/31/2022

- Category changed from cdmlib to documentation

- Priority changed from Priority13 to Priority14

- Target version changed from Update Documentation to Release 5.31
- Start date set to 03/21/2022

- Estimated time set to 8:00 h

This should be updated during current milestone.

#12 - 04/05/2022 10:18 AM - Andreas Miiller
- Related to task #9954: Refactor EDIT Platform (Wiki) Documentation added

#13 - 04/07/2022 04:15 PM - Andreas Miiller
- Due date changed from 03/31/2022 to 04/22/2022
- Target version changed from Release 5.31 to Release 5.32

- Start date changed from 03/21/2022 to 04/19/2022

#14 - 07/29/2022 08:19 PM - Andreas Miiller

- Target version changed from Release 5.32 to Release 5.33

#15 - 09/08/2022 12:47 PM - Andreas Miiller

- Target version changed from Release 5.33 to Update Documentation

04/19/2024 22


http://www.tcpdf.org

